Confirm DEX transaction
curl --request POST \
--url https://api-partner.houdiniswap.com/v2/dex/confirmTx \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"txHash": "<string>"
}
'import requests
url = "https://api-partner.houdiniswap.com/v2/dex/confirmTx"
payload = {
"id": "<string>",
"txHash": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', txHash: '<string>'})
};
fetch('https://api-partner.houdiniswap.com/v2/dex/confirmTx', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
true{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"fields": {},
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}DEX
Confirm DEX transaction
Confirms a DEX transaction with the provided transaction hash. This endpoint should be called after the user has signed and submitted the transaction. Without it the Order status may not be determined
POST
/
dex
/
confirmTx
Confirm DEX transaction
Authorizations
Body
application/json
Request body for confirming a DEX transaction
The Houdini order ID
Minimum string length:
3The transaction hash to confirm. Required for on-chain orders, optional for off-chain orders. Supports multiple chain formats: EVM (0x + 64 hex), Solana (base58), Bitcoin (hex), TON, Tron, Sui.
Required string length:
10 - 128Pattern:
^[a-zA-Z0-9+/=_.-]+$Response
Transaction confirmed
The response is of type boolean.
⌘I